Package classycle.dependency

# Class XMLResultRenderer

java.lang.Object
classycle.dependency.ResultRenderer
classycle.dependency.XMLResultRenderer

public class XMLResultRenderer extends ResultRenderer
Renderer which renders dependency checking results as XML. It ignores preferences.

Author:
  Franz-Josef Elmer

## Field Summary

### Fields inherited from class classycle.dependency.ResultRenderer

`_shortestPaths`

## Constructor Summary

Constructors
Constructor
Description
`XMLResultRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`considerPreference(Preference preference)`
`Result`
`getDescriptionOfCurrentPreferences()`
`PreferenceFactory`
`getPreferenceFactory()`
`String`
`render(Result result)`

### Methods inherited from class classycle.dependency.ResultRenderer

`onlyShortestPaths`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLResultRenderer

public XMLResultRenderer()

## Method Details

### getPreferenceFactory

public PreferenceFactory getPreferenceFactory()

Specified by:
  `getPreferenceFactory` in class `ResultRenderer`

### considerPreference

public void considerPreference(Preference preference)

Specified by:
  `considerPreference` in class `ResultRenderer`

### getDescriptionOfCurrentPreferences

public Result getDescriptionOfCurrentPreferences()

Specified by:
  `getDescriptionOfCurrentPreferences` in class `ResultRenderer`

### render

public String render(Result result)

Specified by:
  `render` in class `ResultRenderer`